Skip to content

Get the runner's view of an execution

GET
/api/v1/items/{executionId}/execution
curl --request GET \
--url https://app.avera.io/api/v1/items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/execution

The execution with its instrument, prompts, responses, completion transition and the anomaly candidates that can be raised from it. Responds 404 when the item is not an execution, which is how the item page decides whether to offer a Run tab.

executionId
required
string format: uuid

OK

Media type*/*
object
execution
required
object
id
required
string format: uuid
itemTypeId
required
string
canonicalId
required
string format: uuid
number
required
string
revision
string | null
seq
required
integer format: int64
status
required
string
Allowed values: DRAFT REVIEW RELEASED OBSOLETE
workflowStateId
required
string
projectId
required
string format: uuid
branchId
required
string format: uuid
createdAt
required
string format: date-time
createdBy
required
string format: uuid
modifiedAt
required
string format: date-time
modifiedBy
required
string format: uuid
attributes
object | null
wasEverReleased
boolean | null
frozenAttributeIds
Array<string> | null
completionTransition
required
string
instrumentRelationship
required
string
outcomeAttribute
required
string
executorAttribute
string | null
instrument
One of:
object
id
required
string format: uuid
canonicalId
required
string format: uuid
number
required
string
revision
string | null
seq
required
integer format: int64
title
string | null
suspect
required
boolean
prompts
One of:
object
container
boolean
nodeType
string
Allowed values: ARRAY BINARY BOOLEAN MISSING NULL NUMBER OBJECT POJO STRING
string
boolean
integralNumber
boolean
missingNode
boolean
valueNode
boolean
pojo
boolean
number
boolean
short
boolean
int
boolean
long
boolean
double
boolean
bigDecimal
boolean
bigInteger
boolean
textual
boolean
boolean
boolean
binary
boolean
floatingPointNumber
boolean
empty
boolean
array
boolean
null
boolean
object
boolean
float
boolean
embeddedValue
boolean
responses
required
Array<object>
object
id
required
string format: uuid
executionCanonicalId
required
string format: uuid
promptId
required
string
subjectKey
required
string
seq
required
integer format: int64
rowSeq
required
integer format: int64
outcome
string | null
valueNumber
number | null
valueUnit
string | null
valueText
string | null
valueChoice
string | null
valueRef
string | null format: uuid
deviationRef
string | null format: uuid
evidence
required
Array<object>
object
fileId
string | null format: uuid
uri
string | null
sha256
string | null
bytes
integer | null format: int64
recordedAt
required
string format: date-time
recordedBy
required
string format: uuid
changeAuthor
required
string
Allowed values: USER AI SYSTEM
raiseCandidates
required
Array<object>
object
relationshipType
required
string
relationshipLabel
required
string
itemType
required
string
itemTypeName
required
string
affectsRelationship
string | null